| Home | Libraries | People | FAQ | More

## Type definition type_index

type_index

## Synopsis

    // In header: <boost/type_index.hpp>

    typedef platform_specific type_index;

## Description

Depending on a compiler flags, optimal implementation of type_index will be used as a default boost::typeindex::type_index.

Could be a boost::typeindex::stl_type_index, boost::typeindex::ctti_type_index or user defined type_index class.

See boost::typeindex::type_index_facade for a full description of type_index functions.